<?xml version="1.0" encoding="utf-8"?>
<!-- Copyright (C) 2008 The Android Open Source Project

     Licensed under the Apache License, Version 2.0 (the "License");
     you may not use this file except in compliance with the License.
     You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

     Unless required by applicable law or agreed to in writing, software
     distributed under the License is distributed on an "AS IS" BASIS,
     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     See the License for the specific language governing permissions and
     limitations under the License.
-->

<manifest xmlns:android="http://schemas.android.com/apk/res/android"
        package="com.android.development"
        android:versionCode="1" android:versionName="1.0">
    <uses-permission android:name="android.permission.WRITE_SETTINGS" />
    <uses-permission android:name="android.permission.DUMP" />
    <uses-permission android:name="android.permission.SET_PREFERRED_APPLICATIONS" />
    <uses-permission android:name="android.permission.RESTART_PACKAGES" />
    <uses-permission android:name="android.permission.SET_ANIMATION_SCALE" />
    <uses-permission android:name="android.permission.SET_PROCESS_LIMIT" />
    <uses-permission android:name="android.permission.SET_ALWAYS_FINISH" />
    <uses-permission android:name="android.permission.SET_DEBUG_APP" />
    <uses-permission android:name="android.permission.HARDWARE_TEST" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="com.google.android.googleapps.permission.GOOGLE_AUTH" />
    <uses-permission android:name="com.google.android.googleapps.permission.GOOGLE_AUTH.ALL_SERVICES" />
    <uses-permission android:name="com.google.android.googleapps.permission.GOOGLE_AUTH.YouTubeUser" />
    <uses-permission android:name="com.google.android.googleapps.permission.ACCESS_GOOGLE_PASSWORD" />

    <application android:label="Dev Tools"
            android:icon="@drawable/ic_launcher_devtools">

        <uses-library android:name="android.test.runner" />
        <uses-library android:name="com.google.android.maps" />

        <activity android:name="Development" android:label="Dev Tools"
            android:icon="@drawable/ic_launcher_devtools">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity android:name="PackageBrowser" android:label="Package Browser">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.TEST" />
            </intent-filter>
        </activity>
        <activity android:name="ExceptionBrowser" android:label="Exception Browser">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.TEST" />
            </intent-filter>
        </activity>
        <activity android:name="StacktraceViewer" android:label="Stacktrace Viewer"/>
        <activity android:name="PackageSummary" android:label="Package Summary">
        </activity>
        <activity android:name="ShowActivity" android:label="Activity">
        </activity>
        <activity android:name="AppPicker"
                android:theme="@android:style/Theme.Dialog">
        </activity>
        <activity android:name="PointerLocation" android:label="Pointer Location"
                android:theme="@android:style/Theme.Black.NoTitleBar.Fullscreen"
                android:configChanges="keyboard|keyboardHidden|navigation|orientation">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.TEST" />
            </intent-filter>
        </activity>

        <activity android:name="DataList">
        </activity>
        <activity android:name="Details">
        </activity>
        <activity android:name="DevelopmentSettings" android:label="Development Settings" >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.TEST" />
            </intent-filter>
        </activity>

        <activity android:name="InstrumentationList" android:label="Instrumentation">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.TEST" />
            </intent-filter>
        </activity>

        <activity android:name="MediaScannerActivity" android:label="Media Scanner">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.TEST" />
            </intent-filter>
        </activity>

    <activity android:name="GLSTester" android:label="Google Login Service">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.TEST" />
            </intent-filter>
        </activity>

    <activity android:name="RunningProcesses" android:label="Running processes">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.TEST" />
            </intent-filter>
        </activity>
    <activity android:name="ProcessInfo" android:label="Process Information">
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
    </activity>
    <!--
    <activity android:name="AppHwConfigList" android:label="Applications Hw Configuration">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.TEST" />
            </intent-filter>
    </activity>
    -->
    <activity android:name="AppHwPref" android:label="Applications Hardware Preferences">
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
    </activity>
    </application>
</manifest>
